%define name captive
%define version 1.1.7
%define release %mkrel 8
%define libname %mklibname %name %version
Summary: NTFS read/write filesystem
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.jankratochvil.net/project/captive/dist/%{name}-%{version}.tar.bz2
Patch0:  captive-1.1.7-pinit.patch.bz2
Patch1:  captive-1.1.7-popt.patch.bz2
Patch2:  captive-1.1.7-xvnc-workaround.patch.bz2
License: GPL
Group: System/Libraries
Url: http://www.jankratochvil.net/project/captive/CVS.pm#source
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libfuse-devel
BuildRequires: tightvnc-server
BuildRequires: glade2
BuildRequires: libgnomeui2-devel
BuildRequires: libntfs-devel
BuildRequires: libreadline-devel
BuildRequires: libncurses-devel
BuildRequires: libtermcap-devel
BuildRequires: bc
BuildRequires: automake1.9
ExclusiveArch: %ix86

%description
Existing binary Microsoft Windows file system drivers were exploited
for accessing drives with possibly proprietary file system data structures.
Open file system API is provided to access these file system drivers.
Microsoft Windows system components required by these drivers
were analyzed and successfuly emulated in the GNU/Linux operating system.

The implementation allows applications running under the GNU/Linux operating
system to access NTFS drives. File system driver compatibility with VFAT,
ISO9660 and EXT2 is also provided.

%package -n %libname
Group:System/Libraries
Summary: NTFS read/write filesystem library
%description -n %libname
Existing binary Microsoft Windows file system drivers were exploited
for accessing drives with possibly proprietary file system data structures.
Open file system API is provided to access these file system drivers.
Microsoft Windows system components required by these drivers
were analyzed and successfuly emulated in the GNU/Linux operating system.

The implementation allows applications running under the GNU/Linux operating
system to access NTFS drives. File system driver compatibility with VFAT,
ISO9660 and EXT2 is also provided.

%package -n %libname-devel
Group:Development/C
Summary: NTFS read/write filesystem library
Requires: %libname = %version
Provides: lib%name-devel = %version-%release

%description -n %libname-devel
Existing binary Microsoft Windows file system drivers were exploited
for accessing drives with possibly proprietary file system data structures.
Open file system API is provided to access these file system drivers.
Microsoft Windows system components required by these drivers
were analyzed and successfuly emulated in the GNU/Linux operating system.

The implementation allows applications running under the GNU/Linux operating
system to access NTFS drives. File system driver compatibility with VFAT,
ISO9660 and EXT2 is also provided.


%package fuse
Summary: FUSE module for Microsoft Windows platform filesystem access
Group: System/Kernel and hardware
Requires: %name = %version
Requires: fuse

%description fuse
FUSE is a userspace filesystem framework.

Package provides FUSE filesystem module to access Microsoft Windows platform
filesystems such as NTFS. Use filesystem type 'captive-ntfs' for NTFS disks.

%package install
Summary: Instant installer for Microsoft Windows platform filesystem access
Group: System/Configuration/Other
Requires: %name-fuse = %version
Requires: ntfsprogs-gnomevfs
# gw this is only a workaround
Requires(preun): %libname = %version

%description install
Package provides easy enough unattended installation of Microsoft Windows
platform filesystem access. Installer finds available NTFS partitions and
tries to acquire needed Microsoft Windows filesystem driver files.

You may need to run 'captive-install-acquire' to answer several questions.
NTFS disks will become mount(8)able at directories: /mnt/captive-VOLUME_NAME

%prep
%setup -q
%patch0 -p1 -b .init
%patch1 -p1 -b .popt
%patch2 -p1 -b .xvnc-workaround
aclocal-1.9 -I macros
autoconf
automake-1.9

%build
%configure2_5x --localstatedir=%_var
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post install
%{_sbindir}/captive-install-fstab --add
%{_sbindir}/captive-install-acquire --text --scan-disks-quick

%post
/usr/sbin/groupadd -r captive 2>/dev/null || \
   /usr/sbin/groupadd captive 2>/dev/null || \
   true
/usr/sbin/useradd -r -c "Captive Sandbox" -s /sbin/nologin -g captive -d %{_var}/lib/captive captive 2>/dev/null || \
   /usr/sbin/useradd -c "Captive Sandbox" -s /sbin/nologin -g captive -d %{_var}/lib/captive captive 2>/dev/null || \
   true

%post fuse
/sbin/chkconfig --add captive
touch %{_var}/lock/subsys/captive

%preun fuse
# Only on real erase, not on upgrade:
if [ $1 = 0 ];then
	/sbin/chkconfig --del captive
	%{_initrddir}/captive stop
	rm -f %{_var}/lock/subsys/captive
fi

%preun install
# Only on real erase, not on upgrade:
if [ $1 = 0 ];then
	%{_sbindir}/captive-install-fstab --remove
fi

%postun
# Only on real erase, not on upgrade:
if [ $1 = 0 ];then
	# Remove stale sandbox chroot directories owned by 'captive.captive':
	rm -rf %{_var}/lib/captive/s-*
	rm -rf %{_var}/lib/captive/tmp/*
fi

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%doc README NEWS T* ChangeLog AUTHORS
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/gnome-vfs-2.0/modules/captive.conf
%config(noreplace) %_sysconfdir/w32-mod-id.captivemodid.xml
%_bindir/captive*
%_libexecdir/captive-sandbox-server
%_mandir/man1/captive-cmdline.1*
%_mandir/man1/captive-sandbox-server.1*
%_mandir/man7/captive.7*
%_libdir/gnome-vfs-2.0/modules/libcaptive*
%_var/lib/captive/

%files -n %libname
%defattr(-,root,root)
%_libdir/libcaptive-%version.so

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/libcaptive.so
%_libdir/libcaptive.la
%_includedir/captive

%files fuse
%defattr(-,root,root)
%config(noreplace) %_initrddir/%name
/sbin/mount.captive
/sbin/mount.captive-*
%attr(644,root,root) %{_mandir}/man?/mount.captive.*

%files install
%defattr(-,root,root)
%{_sbindir}/captive-install-fstab
%attr(644,root,root) %{_mandir}/man?/captive-install-fstab.*
%{_sbindir}/captive-install-acquire
%attr(644,root,root) %{_mandir}/man?/captive-install-acquire.*

%changelog
* Wed Oct  4 2006 Götz Waschk <waschk@mandriva.org> 1.1.7-8mdv2007.0
- fix patch 1
- fix glade detection

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.7-7mdv2007.0
- fix build

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.7-6mdv2007.0
- Rebuild with latest dbus

* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 1.1.7-1mdv2007.0
- Rebuild

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 1.1.7-4mdk
- rebuild for new libntfs

* Wed Feb  8 2006 Götz Waschk <waschk@mandriva.org> 1.1.7-3mdk
- add dep on dkms to the init script

* Thu Feb  2 2006 Götz Waschk <waschk@mandriva.org> 1.1.7-2mdk
- workaround for bug 20889

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 1.1.7-1mdk
- rediff patch
- source URL
- new version

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.6.1-6mdk
- this is x86 only
- patch 0: LSB init

* Sat Jan 14 2006 Götz Waschk <waschk@mandriva.org> 1.1.6.1-5mdk
- fix buildrequires

* Wed Jan 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.6.1-4mdk
- rebuilt against new ntfs libs

* Fri Jan 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6.1-3mdk
- patch 0: make description be available to init sysv tools (eg: ntsysv)

* Fri Dec 30 2005 Götz Waschk <waschk@mandriva.org> 1.1.6.1-2mdk
- fix buildrequires

* Thu Dec 29 2005 Götz Waschk <waschk@mandriva.org> 1.1.6.1-1mdk
- initial package
